<template>

    <div class="wrapper">
        <div class="sidebar-wrapper">
            <div class="profile-container">
                <h1 class="name">SABINA TIMPEA</h1>
                <h3 class="tagline">Full Stack Developer</h3>
            </div><!--//profile-container-->

            <div class="contact-container container-block">
                <ul class="list-unstyled contact-list">
                    <li class="email">
                        <font-awesome-icon icon="envelope-open" />
                        <i class="fa fa-envelope"></i>
                        <a href="mailto: sabina.tmp@gmail.com">sabina.tmp@gmail.com</a>
                    </li>
                    <li class="phone">
                        <font-awesome-icon icon="phone" />
                        <a href="tel:004917656560161">+4917656560161</a>
                        <!-- <a href="tel:00447512431187">+47512431187</a> -->
                    </li>
                    <!-- <li class="website"><i class="fa fa-globe"></i>
                        <a href="https://sabinatimpea.com" target="_blank">
                            sabinatimpea.com</a></li> -->
                    <li class="linkedin">
                        <font-awesome-icon :icon="['fab', 'linkedin']" />
                        <a href="https://linkedin.com/in/sabinatimpea/" target="_blank">linkedin.com/in/sabinatimpea</a>
                    </li>
                    <!-- <li class="github">
                        <font-awesome-icon :icon="['fas', 'code-branch']" />
                        <a href="https://gitlab.com/sabina.tmp" target="_blank">gitlab.com/sabina.tmp</a>
                    </li> -->
                </ul>
            </div><!--//contact-container-->
            <div class="education-container container-block">
                <h2 class="container-block-title">
                    <font-awesome-icon :icon="['fas', 'graduation-cap']" />
                    <i class="fas fa-graduation-cap"></i>
                    Education
                </h2>
                <div class="item">
                    <h4 class="degree">Computer Science for Economics</h4>
                    <h5 class="meta">Romanian-American University</h5>
                    <h5 class="meta">Bucharest, Romania</h5>
                </div>
            </div><!--//education-container-->

            <div class="languages-container container-block">
                <h2 class="container-block-title">
                    <font-awesome-icon :icon="['fas', 'language']" />
                    <i class="fas fa-language"></i>
                    Languages
                </h2>
                <ul class="list-unstyled interests-list">
                    <li>English <span class="lang-desc">(C1)</span></li>
                    <li>Romanian <span class="lang-desc">(Native)</span></li>
                    <li>German <span class="lang-desc">(B1)</span></li>
                </ul>
            </div>

            <div class="interests-container container-block">
                <h2 class="container-block-title"> 
                  <font-awesome-icon :icon="['far', 'thumbs-up']" />
                  <i class="far fa-thumbs-up"></i> 
                  Likes</h2>
                <ul class="list-unstyled interests-list">
                    <li>Symfony</li>
                    <li>node.js</li>
                    <li>Ionic / Cordova</li>
                </ul>
            </div>

            <div class="interests-container container-block">
                <h2 class="container-block-title"> 
                  <font-awesome-icon :icon="['far', 'thumbs-down']" />
                  <i class="far fa-thumbs-down"></i> Avoids</h2>
                <ul class="list-unstyled interests-list">
                    <li>Drupal</li>
                    <li>Wordpress</li>
                </ul>
            </div>

        </div><!--//sidebar-wrapper-->

        <div class="main-wrapper">

            <section class="section summary-section">
                <h2 class="section-title">
                    <font-awesome-icon :icon="['fas', 'user']" class="section-icon" />
                    Career Profile
                </h2>
                <div class="summary">
                    <p>• More than 7 years experience with PHP: Symfony and Zend Frameworks, but also Laravel and OpenCart CMS</p>
                    <p>• 2+ years of development Full Stack, which helped develop my frontend skills: Javascript (Angularjs, Angular2/4), SASS, Gulp</p>
                    <p>• Experienced with other web technologies: MySql, Redis, Cordova, NodeJs</p>
                    <p>• Tools and others: Git (SVN too), CLI, Jenkins, GitlabCI, AWS</p>
                </div><!--//summary-->
            </section><!--//section-->

            <section class="section experiences-section">
                <h2 class="section-title">
                    <font-awesome-icon :icon="['fas', 'briefcase']" class="section-icon" />
                    Experience
                </h2>

                <div class="item">
                    <div class="meta">
                        <div class="title-row">
                        <h3 class="job-title">Full Stack PHP Developer</h3>
                            <div class="time">March 2017 - December 2018</div>
                        </div><!--//title-row-->
                            <div class="company">epay / Munich, Germany</div>
                    </div><!--//meta-->
                    <div class="details">
                        <p>• Responsible for an ATM configuration tool throughout it's whole development lifecycle</p>
                        <p>• Integrated support for different ATM types in existing tools</p>
                        <p>• Assisted hiring manager with interviews. Team grew by 3 people.</p>
                    </div><!--//details-->
                </div><!--//item-->

                <div class="item">
                    <div class="meta">
                        <div class="title-row">
                            <h3 class="job-title">Full Stack Developer</h3>
                            <div class="time">March 2016 - February 2017</div>
                        </div><!--//title-row-->
                        <div class="company">CodeForge - Web Agency / Bucharest, Romania</div>
                    </div><!--//meta-->
                    <div class="details">
                        <p>Jack of all trades, master of Backend.</p>
                        <p>• Migrated 5 major projects'  (and lots more minor projects) versioning system from SVN to GIT</p>
                        <p>• Refactored a Customer facing booking system implemented in 4 locations from procedural PHP to Laravel Framework. Created a two factor authentication Laravel package for it</p>
                        <p>• Used October CMS for quick development of presentation sites</p>
                        <p>• Migrated 60k+ articles into Drupal 6 and 7 websites</p>
                    </div><!--//details-->
                </div><!--//item-->

                <div class="item">
                    <div class="meta">
                        <div class="title-row">
                            <h3 class="job-title">PHP Programmer</h3>
                            <div class="time">July 2012 - November 2015</div>
                        </div><!--//title-row-->
                        <div class="company">Philro Agency / Bucharest, Romania</div>
                    </div><!--//meta-->
                    <div class="details">
                        <p>• Contributed to the development of the in-house built CMS and large news web sites on which it was implemented.</p>
                        <p>• Developed Paywall system used to limit user monthly access to websites and encourage subscription</p>
                        <p>• Programming languages used: PHP (Symfony Framework), MySQL, Javascript (Backbone, jQuery) and CSS (SCSS)</p>
                        <p>• Other technologies used: Redis, Varnish, Node.js</p>
                    </div><!--//details-->
                </div><!--//item-->

                <div class="item">
                    <div class="meta">
                        <div class="title-row">
                            <h3 class="job-title">E-commerce PHP Developer</h3>
                            <div class="time">July 2011 - June 2012</div>
                        </div><!--//title-row-->
                        <div class="company">Gameloft / Bucharest, Romania</div>
                    </div><!--//meta-->
                    <div class="details">
                        <p>• Developed and maintained E­-Commerce mobile sites through which mobile games are sold.</p>
                        <p>• Maintained sites from African region (with partners from South Africa, Mozambique, Kenya, Mauritius, Uganda, Nigeria) and Eastern Europe (Romania, Serbia, Croatia)</p>
                    </div><!--//details-->
                </div><!--//item-->

                <div class="item">
                    <div class="meta">
                        <div class="title-row">
                            <h3 class="job-title">E-commerce PHP Developer</h3>
                            <div class="time">July 2011 - June 2012</div>
                        </div><!--//title-row-->
                        <div class="company">Gameloft / Bucharest, Romania</div>
                    </div><!--//meta-->
                    <div class="details">
                        <p>• Developed and maintained E­-Commerce mobile sites through which mobile games are sold.</p>
                        <p>• Maintained sites from African region (with partners from South Africa, Mozambique, Kenya, Mauritius, Uganda, Nigeria) and Eastern Europe (Romania, Serbia, Croatia)</p>
                    </div><!--//details-->
                </div><!--//item-->
            </section><!--//section-->

        </div><!--//main-body-->
    </div>

</template>

<script>

export default {
  name: 'CV',
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">

$color: red;

.list-unstyled {
    list-style: none;
    padding: 0;
}

/* ======= Variables ======= */
:root {
    --main-bg-color: #42A8C0;
    --grey-color: #545E6C;

    --font-family-sans-serif: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace
}

/* ======= Base ======= */
.wrapper {
  font-family: 'Roboto', sans-serif;
  // color: var(--grey-color);
  // background: #f5f5f5;
  font-size: 14px;
  // padding: 30px;
  // -webkit-font-smoothing: antialiased;
  // -moz-osx-font-smoothing: grayscale;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}
a {
  color: $color;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}
a:hover {
  text-decoration: underline;
  color: #1a454f;
}
a:focus {
  text-decoration: none;
}
p {
  line-height: 1.3;
  margin: 10px 0;
}
.wrapper {
  background: #42A8C0;
  max-width: 960px;
  margin: 0 auto;
  position: relative;
  -webkit-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}
.sidebar-wrapper {
  background: #42A8C0;
  position: absolute;
  right: 0;
  width: 265px;
  height: 100%;
  min-height: 800px;
  color: #fff;
}
.sidebar-wrapper a {
  color: #fff;
}
.sidebar-wrapper .profile-container {
  padding: 50px;
  background: rgba(0, 0, 0, 0.2);
  text-align: center;
  color: #fff;
}
.sidebar-wrapper .name {
  font-size: 32px;
  font-weight: 900;
  margin-top: 0;
  margin-bottom: 10px;
}
.sidebar-wrapper .tagline {
  color: rgba(255, 255, 255, 0.6);
  font-size: 16px;
  font-weight: 400;
  margin-top: 0;
  margin-bottom: 0;
}
.sidebar-wrapper .profile {
  margin-bottom: 15px;
}
.sidebar-wrapper .contact-list svg {
  margin-right: 5px;
  font-size: 18px;
  vertical-align: middle;
}
.sidebar-wrapper .contact-list li {
  margin-bottom: 15px;
}
.sidebar-wrapper .contact-list li:last-child {
  margin-bottom: 0;
}
.sidebar-wrapper .contact-list .email .fa {
  font-size: 14px;
}
.sidebar-wrapper .container-block {
  padding: 30px;
}
.sidebar-wrapper .container-block-title {
  text-transform: uppercase;
  font-size: 16px;
  font-weight: 700;
  margin-top: 0;
  margin-bottom: 15px;
}
.sidebar-wrapper .degree {
  font-size: 14px;
  margin-top: 0;
  margin-bottom: 5px;
}
.sidebar-wrapper .education-container .item {
  margin-bottom: 15px;
}
.sidebar-wrapper .education-container .item:last-child {
  margin-bottom: 0;
}
.sidebar-wrapper .education-container .meta {
  color: rgba(255, 255, 255, 0.6);
  font-weight: 500;
  margin-bottom: 0px;
  margin-top: 0;
}
.sidebar-wrapper .education-container .time {
  color: rgba(255, 255, 255, 0.6);
  font-weight: 500;
  margin-bottom: 0px;
}
.sidebar-wrapper .languages-container .lang-desc {
  color: rgba(255, 255, 255, 0.6);
}
.sidebar-wrapper .languages-list {
  margin-bottom: 0;
}
.sidebar-wrapper .languages-list li {
  margin-bottom: 10px;
}
.sidebar-wrapper .languages-list li:last-child {
  margin-bottom: 0;
}
.sidebar-wrapper .interests-list {
  margin-bottom: 0;
}
.sidebar-wrapper .interests-list li {
  margin-bottom: 10px;
}
.sidebar-wrapper .interests-list li:last-child {
  margin-bottom: 0;
}
.main-wrapper {
  background: #fff;
  padding: 60px;
  padding-right: 320px;
}
.main-wrapper .section-title {
  text-transform: uppercase;
  font-size: 20px;
  font-weight: 500;
  color: #2d7788;
  position: relative;
  margin-top: 0;
  margin-bottom: 20px;
}
.main-wrapper .section-title .section-icon {
  padding: 5px;
  margin-right: 8px;
  display: inline-block;
  color: #fff;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border-radius: 50%;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  background: #2d7788;
  text-align: center;
  font-size: 16px;
  position: relative;
}
.main-wrapper .section {
  margin-bottom: 60px;
}
.main-wrapper .experiences-section .item {
  margin-bottom: 30px;
}
.main-wrapper .title-row {
  position: relative;
  overflow: hidden;
  margin-bottom: 2px;
}
.main-wrapper .job-title {
  color: #3F4650;
  font-size: 16px;
  margin-top: 0;
  margin-bottom: 5px;
  padding-bottom: 5px;
  font-weight: 600;
}
.main-wrapper .time {
  position: absolute;
  right: 0;
  top: 0;
  color: #97AAC3;
}
.main-wrapper .company {
  margin-bottom: 10px;
  color: #97AAC3;
}
.main-wrapper .project-title {
  font-size: 16px;
  font-weight: 400;
  margin-top: 0;
  margin-bottom: 5px;
}
.main-wrapper .projects-section .intro {
  margin-bottom: 30px;
}
.main-wrapper .projects-section .item {
  margin-bottom: 15px;
}
.skillset .item {
  margin-bottom: 15px;
  overflow: hidden;
}
.skillset .level-title {
  font-size: 14px;
  margin-top: 0;
  margin-bottom: 12px;
}
.skillset .level-bar {
  height: 12px;
  background: #f5f5f5;
}
.skillset .level-bar-inner {
  height: 12px;
  background: #7bc2d3;
}
/* Extra small devices (phones, less than 768px) */
@media (max-width: 767px) {
  .sidebar-wrapper {
    position: static;
    width: inherit;
  }
  .main-wrapper {
    padding: 30px;
  }
  .main-wrapper .time {
    position: static;
    display: block;
    margin-top: 5px;
  }
  .main-wrapper .title-row {
    margin-bottom: 0;
  }
}
/* Small devices (tablets, 768px and up) */
/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .skillset .level-title {
    display: inline-block;
    float: left;
    width: 30%;
    margin-bottom: 0;
  }
  .skillset .level-bar {
    display: inline-block;
    width: 70%;
    float: left;
    position: relative;
    top: 1px;
  }
}
/* Large devices (large desktops, 1200px and up) */
/* Ex-Large devices (large desktops, 1200px and up) */


@media print {
    .sidebar-wrapper {
        /* background-color: var(--main-bg-color) !important; */
    }
    .sidebar-wrapper a, .sidebar-wrapper :before  {
        /* color: white !important; */
    }
}

</style>
